@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital@1&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Uchen&display=swap');
* {
    font-family: 'Uchen', serif;
    margin: 0px;
    padding: 0px;
}

.opciones {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    width: 100%;
    padding-right: 10px;
}

.opciones__link {
    display: block;
    padding: 10px 50px;
    border: solid 1px black;
    margin-right: 40px;
    cursor: pointer;
    color: black;
    text-decoration: none;
}

.nav {
    position: sticky;
    top: 0;
    right: 0;
    display: flex;
    flex-wrap: inherit;
    align-items: center;
    height: 10vh;
    background: #fff;
    z-index: 2;
}

.nav__logo {
    height: 90%;
    margin-left: 40px;
    cursor: pointer;
}

.nav__btn-container {
    visibility: hidden;
}

.nav__btn {
    margin-top: 25px;
    font-size: 1.7rem;
}

.nav_options--hidden {
    visibility: hidden;
}

.presentation {
    display: grid;
    min-height: 90vh;
    height: max(90vh, 600px);
    grid-template-columns: repeat(2, 1fr);
}

.presentation__img {
    margin: auto;
    width: 90%;
    height: 100%;
}

.info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
    font-size: 1.2em;
}

.info--bg_black {
    background-color: rgb(32, 23, 23);
    top: 0;
    right: 0;
    height: 400px;
    color: white;
}

.info--bg_black-hover:hover {
    transition: 0.5s background-color;
    background: rgba(0, 0, 0, 0.8);
}

.info__header {
    text-align: center;
    padding: 15px 40px;
}

.info__body {
    padding: 15px 40px;
}

.services {
    background-image: url("../img/seamless-2033661_1280.jpg");
    background-size: auto;
    display: grid;
    padding: 30px 10px;
    grid-template-columns: repeat(auto-fill, minmax(24rem, 1fr));
    background-color: rgba(0, 0, 0, 0.178);
    grid-row-gap: 50px;
    column-gap: 10px;
}

.services--promocion {
    color: gray;
    background: none;
    height: auto;
    margin: 100px auto;
    padding: 0px;
    grid-gap: 20px;
    row-gap: 120px;
}

.tarjet-img {
    display: flex;
    flex-direction: column;
    /*border: solid 1px white;*/
}

.tarjet-img__img {
    display: block;
    min-height: 300px;
    height: 300px;
    width: 100%;
    z-index: 1;
}

.items-card {
    margin-top: 10vh;
    display: grid;
    height: 100vh;
    text-align: center;
    padding: 0px 40px;
    grid-template-columns: repeat(auto-fill, minmax(15rem, 1fr));
    grid-gap: 1.5rem;
}

.item-card {
    min-height: 400px;
}

.item-card__img {
    width: 100%;
    height: 60%;
}

.btn {
    display: inline-flex;
    align-items: center;
    padding: 0px 20px;
    border: solid 1px rgb(0, 61, 102);
    border-radius: 10px;
    background: rgb(0, 123, 194);
    color: white;
    text-decoration: none;
    cursor: pointer;
}

.bnt--minimal {
    background: none;
    padding: 0px 10px;
    border: 1px solid black;
    color: black;
    border-radius: 0px;
    cursor: pointer;
}

.btn__icon {
    cursor: pointer;
}

.promocion {
    text-align: center;
    margin: auto;
    width: 80%;
    height: 380px;
    border: solid 1px grey;
    box-shadow: 12px 12px 2px 1px rgba(0, 0, 255, .2);
}

.promocion__title {
    width: 100%;
    margin: auto;
    font-size: 20px;
    margin-top: 10px;
    text-align: center;
}

.promocion__body {
    height: auto;
    margin-top: 10px;
    font-size: 17px;
    text-align: justify;
    padding: 20px 30px;
}

.bx-shadow {
    box-shadow: 12px 12px 2px 1px rgba(0, 0, 255, .2);
}

.contacto {
    margin: auto;
    margin-bottom: 80px;
    width: 70%;
    display: flex;
    flex-direction: column;
    row-gap: 20px;
    border: solid 1px gray;
    padding: 20px 40px;
}

.input--50 {
    width: 50%;
    margin: auto;
}

.row-form {
    display: flex;
    flex-direction: column;
    row-gap: 5px;
}

@media (max-width: 700px) {
    .services {
        padding: 40px 0px;
    }
    .promocion {
        height: 400px;
        margin-left: 7%;
    }
    .services--promocion {
        margin-top: 60px;
        height: auto;
    }
    .tarjet-img {
        width: 95vw;
        margin-left: 2%;
        overflow: hidden;
    }
    .nav__options {
        overflow-y: scroll;
        justify-content: normal;
        align-items: initial;
        padding: 0px;
        margin: 0px;
        margin-top: 10vh;
        padding-bottom: 10px;
        padding-top: 20px;
        width: 100%;
        height: 90vh;
        background: #fff;
        position: absolute;
        display: flex;
        flex-direction: column;
        transition: 1s left;
        top: 0px;
        left: 0px;
        z-index: 5;
    }
    .nav__btn-container {
        visibility: visible;
        width: 100%;
        display: flex;
        justify-content: flex-end;
        padding-right: 30px;
        z-index: 2;
        margin-bottom: 20px;
    }
    .presentation {
        grid-template-columns: 1fr;
        max-height: none;
        height: auto;
    }
    .nav__options--close {
        transition: 1s left;
        left: -100%;
    }
    .opciones--fill {
        margin: 0px;
        text-align: center;
    }
}

@media (min-width: 1920px) {
    .services {
        grid-template-columns: repeat(auto-fill, minmax(40rem, 1fr));
    }
}

@media (min-width: 3000px) {
    .services {
        grid-template-columns: repeat(auto-fill, minmax(80rem, 1fr));
    }
}